Subject: bug#59559: 28.1; `minibuffer-with-setup-hook' with :append

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jan 2023 21:26:28 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 21 Jan 2023 18:57:45 +0000
> 
> > > The (valid, IMO) request was about the (:append FUN1) part: is this the
> > > s-expr to specify, or should the FUN arg evaluate to such a list?  Not
> > > clear from the original docstring.
> > 
> > I don't see why.  We say stuff like "argument of the form (FOO BAR)"
> > in gazillion places, 
> 
> Precisely.  And we don't say that here.

Yes, we do:

  But if FUN is of the form ‘(:append FUN1)’ [...]

> That's _one_
> of the possible forms of the argument sexp.  IF
> it has that form (:append F) THEN F is evaluated
> to give the function that's added.  OTHERWISE
> the whole sexp arg is evaluated to give the
> function that's added.
> 
> This kind of thing is _not_ done in a gazillion
> places.

It's a macro.  That's how macros are handled in Emacs.

> > I already did.
> 
> I don't think what you suggested changes/adds anything.
> You just changed "FUN" to "function FUN", no?

Yes, because that's the only part that is not crystal clear there.

I don't see what else needs to be discussed here.  We should close
this bug.